#include "BranchingConstraints.h"



BranchingConstraints::BranchingConstraints(int _nodeNumber):
	nodeNumber(_nodeNumber),
	arcBranchingConstraints(0)
{}


BranchingConstraints::~BranchingConstraints()
{}

ArcBranchingConstraints::ArcBranchingConstraints(int _idStartCustomer, int _idEndCustomer, bool _branchType, SCIP_Cons* _con):
	idStartCustomer(_idStartCustomer),
	idEndCustomer(_idEndCustomer),
	branchType(_branchType),
	con(_con)
{}

ArcBranchingConstraints::ArcBranchingConstraints():
	idStartCustomer(-1),
	idEndCustomer(-1),
	con(0)
{}

ArcBranchingConstraints::~ArcBranchingConstraints()
{}